<?php

namespace Targetbay\Tracking\Helper;

use Magento\Framework\App\Helper\AbstractHelper;
use Magento\Framework\App\Helper\Context;
use Magento\Store\Model\ScopeInterface;

class GoogleReview extends AbstractHelper
{
    const CONFIG_GOOGLE_ACTIVE = 'targetbay_tracking/general/enabled';
    const CONFIG_GOOGLE_MERCHANT_ID = 'targetbay_tracking/general/merchant_id';
    const CONFIG_GOOGLE_POSITION = 'targetbay_tracking/general/position';
    const CONFIG_GOOGLE_LANGUAGE = 'targetbay_tracking/general/language';
    const CONFIG_FEEDBACK_ACTIVE = 'targetbay_tracking/feedback/enabled';
    const CONFIG_FEEDBACK_EST_DAYS = 'targetbay_tracking/feedback/est_days';
    const CONFIG_FEEDBACK_STYLE = 'targetbay_tracking/feedback/style';

    public function __construct(Context $context)
    {
        parent::__construct($context);
    }

    public function isActive()
    {
        return $this->scopeConfig->getValue(self::CONFIG_GOOGLE_ACTIVE, ScopeInterface::SCOPE_STORE);
    }

    public function getMerchantId()
    {
        return $this->scopeConfig->getValue(self::CONFIG_GOOGLE_MERCHANT_ID, ScopeInterface::SCOPE_STORE);
    }

    public function getPosition()
    {
        return $this->scopeConfig->getValue(self::CONFIG_GOOGLE_POSITION, ScopeInterface::SCOPE_STORE);
    }

    public function getLanguage()
    {
        return $this->scopeConfig->getValue(self::CONFIG_GOOGLE_LANGUAGE, ScopeInterface::SCOPE_STORE);
    }

    public function isFeedbackActive()
    {
        return $this->scopeConfig->getValue(self::CONFIG_FEEDBACK_ACTIVE, ScopeInterface::SCOPE_STORE);
    }

    public function getEstDays()
    {
        return $this->scopeConfig->getValue(self::CONFIG_FEEDBACK_EST_DAYS, ScopeInterface::SCOPE_STORE);
    }

    public function getStyle()
    {
        return $this->scopeConfig->getValue(self::CONFIG_FEEDBACK_STYLE, ScopeInterface::SCOPE_STORE);
    }
}
