<?php

namespace Targetbay\Tracking\Model\Config\Source;

use Magento\Framework\Option\ArrayInterface;
use Magento\Catalog\Model\ResourceModel\Product\Attribute\CollectionFactory as AttributeCollection;

class Attribute implements ArrayInterface
{
    protected $productAttributes;

    public function __construct(AttributeCollection $productAttributes)
    {
        $this->productAttributes = $productAttributes;
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        $array = [];
        $attributeInfo = $this->productAttributes->create();
        foreach ($attributeInfo as $items) {
            array_push($array, ['value' => $items->getData('attribute_code'), 'label' => $items->getData('attribute_code')]);
        }
        return $array;
    }

    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {
        $array = [];
        $attributeInfo = $this->productAttributes->create();
        foreach ($attributeInfo as $items) {
            array_push($array, ['value' => $items->getData('attribute_code'), 'label' => $items->getData('attribute_code')]);
        }
        return $array;
    }
}
